/* 
    Colors (c)
*/
.c-primary {
    color: var(--primaryColor);
}

.c-secondary {
    color: var(--secondaryColor);
}

.c-darkgray {
    color: rgb(163, 163, 163);
}

.c-gray {
    color: rgb(163, 163, 163);
}

.c-lightgray {
    color: rgb(163, 163, 163);
}

/* 
    Display 
*/

.inline {
    display: inline;
}

.block {
    display: block;
}

.flex {
    display: flex
}

.flex-wrap {
    flex-wrap: wrap;
}

.flex-center {
    justify-content: center;
    align-items: center;
}

.justify-space-between {
    justify-content: space-between;
}

.justify-center {
    justify-content: center;
}


/* 
    Padding 
*/

.pad-xs {
    padding: 16px 1rem;
}

.pad-s {
    padding: 16px 1rem;
}

.pad-m {
    padding: 16px 1rem;
}

.pad-l {
    padding: 32px 2rem;
}

.pad-xl {
    padding: 48px 3rem;
}

.pad-top-xs {
    padding-top: 12px;
}

.pad-top-s {
    padding-top: 16px;
}

.pad-top-m {
    padding-top: 24px;
}

.pad-top-l {
    padding-top: 32px;
}

.pad-top-xl {
    padding-top: 48px;
}

/* Desktop */
@media only screen and (min-width: 64rem) {
    .pad-xs {
        padding: 16px 1rem;
    }

    .pad-s {
        padding: 20px 1.25rem;
    }

    .pad-m {
        padding: 32px 2.5rem;
    }

    .pad-l {
        padding: 48px 3rem;
    }

    .pad-xl {
        padding: 64px 4rem;
    }

    .pad-top-xs {
        padding-top: 12px;
    }

    .pad-top-s {
        padding-top: 16px;
    }

    .pad-top-m {
        padding-top: 24px;
    }

    .pad-top-l {
        padding-top: 32px;
    }

    .pad-top-xl {
        padding-top: 48px;
    }
}

.no-pad {
    padding: 0 !important;
}

/* 
    Margins 
*/

.mar-xs {
    margin: 12px;
}

.mar-s {
    margin: 16px;
}

.mar-m {
    margin: 32px 1.5rem;
}

.mar-l {
    margin: 48px;
}

.mar-xl {
    margin: 64px;
}

.mar-top-xs {
    margin-top: 0.75rem;
}

.mar-top-s {
    margin-top: 1rem;
}

.mar-top-m {
    margin-top: 2rem;
}

.mar-top-l {
    margin-top: 3rem;
}

.mar-top-xl {
    margin-top: 5rem;
}

.mar-bot-xs {
    margin-bottom: 0.75rem;
}

.mar-bot-s {
    margin-bottom: 1rem;
}

.mar-bot-m {
    margin-bottom: 1.5rem;
}

.mar-bot-l {
    margin-bottom: 2rem;
}

.mar-bot-xl {
    margin-bottom: 3rem;
}

.mar-left-xs {
    margin-left: 0.35rem;
}

.mar-left-s {
    margin-left: 1rem;
}

.mar-left-m {
    margin-left: 2rem;
}

.mar-left-l {
    margin-left: 3rem;
}

.mar-left-xl {
    margin-left: 4rem;
}

.mar-right-xs {
    margin-right: 0.35rem;
}

.mar-right-s {
    margin-right: 1rem;
}

.mar-right-m {
    margin-right: 2rem;
}

.mar-right-l {
    margin-right: 3rem;
}

.mar-right-xl {
    margin-right: 4rem;
}

/* Desktop */
@media only screen and (min-width: 64rem) {
    .mar-m {
        margin: 32px 2.5rem;
    }
}

/* 
    Animations 
*/

.fade-in {
    animation: fade-in 250ms both;
}

@keyframes fade-in {
    from { opacity: 0 }
    to { opacity: 1}
}

/* 
    Icons and Images 
*/
.icon {
    width: 0.75rem;
    height: 0.75rem;
    opacity: 0.5;
    transition: 300ms;
}

.bullet {
    width: 1rem;
    height: 1rem;
    border-radius: 50%;
    background-color: black;
    transition: 300ms;
}

.bullet.lightgray {
    background-color: #D9D9D9;
}

.bullet.gray {
    background-color: #888888;
}

.bullet.outline {
    background-color: transparent;
    border: 1.5px solid black;
}


/* 
    Accessibility 
*/

/* Mobile */
@media only screen and (max-width: 64rem) {
    .hidden-mobile {
        display: none !important;
    }
}

/* Desktop */
@media only screen and (min-width: 64rem) {
    .hidden-desktop {
        display: none !important;
    }
}

.sr-only {
    border: 0 !important;
    clip: rect(1px, 1px, 1px, 1px) !important;
    /* 1 */
    -webkit-clip-path: inset(50%) !important;
    clip-path: inset(50%) !important;
    /* 2 */
    height: 1px !important;
    margin: -1px !important;
    overflow: hidden !important;
    padding: 0 !important;
    position: absolute !important;
    width: 1px !important;
    white-space: nowrap !important;
    /* 3 */
}


/* 
    Kirby Text 
*/

.kt p {
    margin-bottom: 1em;
}


/* Animations */
.fade-in {
    animation: fade-in 300ms ease 1s both;
}

.fade-in-index {
    animation: fade-in 300ms ease calc(var(--index) * 100ms + 0.1s) both;
}

/* Desktop */
@media only screen and (min-width: 64rem) {
    .fade-in-index {
        animation: fade-in 250ms ease calc(var(--index) * 100ms) both;
    }
}

@keyframes fade-in {
    from {
        opacity: 0;
    } to {
        opacity: 1;
    }
}